/*------------------------------------------------------------------------------
* MediaTek Inc. (C) 2020. All rights reserved.
*
* Copyright Statement:
*
* This software/firmware and related documentation ("MediaTek Software") are
* protected under relevant copyright laws. The information contained herein is
* confidential and proprietary to MediaTek Inc. and/or its licensors. Without
* the prior written permission of MediaTek inc. and/or its licensors, any
* reproduction, modification, use or disclosure of MediaTek Software, and
* information contained herein, in whole or in part, shall be strictly
* prohibited.
*
* BY OPENING THIS FILE, RECEIVER HEREBY UNEQUIVOCALLY ACKNOWLEDGES AND AGREES
* THAT THE SOFTWARE/FIRMWARE AND ITS DOCUMENTATIONS ("MEDIATEK SOFTWARE")
* RECEIVED FROM MEDIATEK AND/OR ITS REPRESENTATIVES ARE PROVIDED TO RECEIVER
* ON AN "AS-IS" BASIS ONLY. MEDIATEK EXPRESSLY DISCLAIMS ANY AND ALL
* WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED
* WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR
* NONINFRINGEMENT. NEITHER DOES MEDIATEK PROVIDE ANY WARRANTY WHATSOEVER WITH
* RESPECT TO THE SOFTWARE OF ANY THIRD PARTY WHICH MAY BE USED BY,
* INCORPORATED IN, OR SUPPLIED WITH THE MEDIATEK SOFTWARE, AND RECEIVER AGREES
* TO LOOK ONLY TO SUCH THIRD PARTY FOR ANY WARRANTY CLAIM RELATING THERETO.
* RECEIVER EXPRESSLY ACKNOWLEDGES THAT IT IS RECEIVER'S SOLE RESPONSIBILITY TO
* OBTAIN FROM ANY THIRD PARTY ALL PROPER LICENSES CONTAINED IN MEDIATEK
* SOFTWARE. MEDIATEK SHALL ALSO NOT BE RESPONSIBLE FOR ANY MEDIATEK SOFTWARE
* RELEASES MADE TO RECEIVER'S SPECIFICATION OR TO CONFORM TO A PARTICULAR
* STANDARD OR OPEN FORUM. RECEIVER'S SOLE AND EXCLUSIVE REMEDY AND MEDIATEK'S
* ENTIRE AND CUMULATIVE LIABILITY WITH RESPECT TO THE MEDIATEK SOFTWARE
* RELEASED HEREUNDER WILL BE, AT MEDIATEK'S OPTION, TO REVISE OR REPLACE THE
* MEDIATEK SOFTWARE AT ISSUE, OR REFUND ANY SOFTWARE LICENSE FEES OR SERVICE
* CHARGE PAID BY RECEIVER TO MEDIATEK FOR SUCH MEDIATEK SOFTWARE AT ISSUE.
*
* The following software/firmware and/or related documentation ("MediaTek
* Software") have been modified by MediaTek Inc. All revisions are subject to
* any receiver's applicable license agreements with MediaTek Inc.
*----------------------------------------------------------------------------*/

///////////////////////////////////////////////////////////////////////////////////////////////////
///
/// @file   _drvMVOP_weak.h
/// @brief  MVOP weak symbols declaration.
/// @author MediaTek Inc.
///////////////////////////////////////////////////////////////////////////////////////////////////

#ifndef _DRV_MVOP_WEAK_H_
#define _DRV_MVOP_WEAK_H_

#include "halMVOP.h"

//-------------------------------------------------------------------------------------------------
//  Macro and Define
//-------------------------------------------------------------------------------------------------
#if defined(MSOS_TYPE_LINUX_KERNEL)
#define __mvop_weak
#define __mvop_if        extern
#define __mvop_weak_0      {return 0;}
#define __mvop_if_0
#define __mvop_weak_v      {}
#define __mvop_if_v
#else
#define __mvop_weak      __attribute__((weak))
#define __mvop_if        extern
#define __mvop_weak_0    __attribute__((weak))
#define __mvop_if_0      extern
#define __mvop_weak_v    __attribute__((weak))
#define __mvop_if_v      extern
#endif
//-------------------------------------------------------------------------------------------------
//  Function and Variable
//-------------------------------------------------------------------------------------------------

//======================================================
// MAIN MVOP
__mvop_if void HAL_MVOP_SetVerticalMirrorMode(MVOP_DevID eDevID, MS_BOOL bEnable) __mvop_weak;
__mvop_if void HAL_MVOP_SetHorizontallMirrorMode(MVOP_DevID eDevID, MS_BOOL bEnable) __mvop_weak;
__mvop_if void HAL_MVOP_SetYUVBaseAdd(MVOP_DevID eDevID, MS_PHY u32YOffset, MS_PHY u32UVOffset, MS_BOOL bProgressive, MS_BOOL b422pack) __mvop_weak;
__mvop_if void HAL_MVOP_SetRepeatField(MVOP_DevID eDevID, MVOP_RptFldMode eMode) __mvop_weak;
__mvop_if void HAL_MVOP_SetVSyncMode(MVOP_DevID eDevID, MS_U8 u8Mode) __mvop_weak;
__mvop_if MS_PHY HAL_MVOP_GetYBaseAdd(MVOP_DevID eDevID) __mvop_weak;
__mvop_if MS_PHY HAL_MVOP_GetUVBaseAdd(MVOP_DevID eDevID) __mvop_weak;
#if SUPPORT_3DLR_INST_VBLANK
__mvop_if MS_BOOL HAL_MVOP_Set3DLRInsVBlank(MS_U16 u16InsLines) __mvop_weak;
#else
__mvop_if_0 MS_BOOL HAL_MVOP_Set3DLRInsVBlank(MS_U16 u16InsLines) __mvop_weak_0;
#endif
__mvop_if MS_BOOL HAL_MVOP_Set3DLRAltOutput(MVOP_DevID eDevID, MS_BOOL bEnable) __mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_Set3DLRAltOutput_VHalfScaling(MVOP_DevID eDevID, MS_BOOL bEnable) __mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_Get3DLRAltOutput(MVOP_DevID eDevID) __mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_Get3DLRAltSBSOutput(MVOP_DevID eDevID) __mvop_weak;
__mvop_if EN_MVOP_Output_3D_TYPE HAL_MVOP_GetOutput3DType(MVOP_DevID eDevID) __mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_Set3DLR2ndCfg(MS_BOOL bEnable) __mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_Get3DLR2ndCfg(void) __mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_SetRgbFormat(MVOP_DevID eDevID, MVOP_RgbFormat eRgbFmt) __mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_GetSupportRgbFormat(MVOP_RgbFormat eRgbFmt) __mvop_weak;
__mvop_if MVOP_DrvMirror HAL_MVOP_GetMirrorMode(MVOP_DevID eID) __mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_SetVerDup(MVOP_DevID eDevID, MS_BOOL bEnable) __mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_GetVerDup(void) __mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_SetVerx4Dup(MS_BOOL bEnable) __mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_GetVerx4Dup(void) __mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_SetHorx4Dup(MS_BOOL bEnable) __mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_GetHorx4Dup(void) __mvop_weak;
__mvop_if MVOP_FREQUENCY HAL_MVOP_GetMaximumClk(MVOP_DevID eDevID) __mvop_weak;
__mvop_if MVOP_FREQUENCY HAL_MVOP_GetCurrentClk(MVOP_DevID eDevID) __mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_SetYUVBaseAddMultiView(MVOP_DevID eID, MVOP_BaseAddInput* stBaseAddInfo) __mvop_weak;
__mvop_if MS_PHY HAL_MVOP_GetYBaseAddMultiView(MVOP_3DView eView) __mvop_weak;
__mvop_if MS_PHY HAL_MVOP_GetUVBaseAddMultiView(MVOP_3DView eView) __mvop_weak;
__mvop_if MS_U16 HAL_MVOP_GetTopVStart(MVOP_DevID eID) __mvop_weak;
__mvop_if MS_U16 HAL_MVOP_GetBottomVStart(MVOP_DevID eID) __mvop_weak;
__mvop_if MS_U16 HAL_MVOP_GetVCount(MVOP_DevID eID) __mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_SetVC1RangeMap(MVOP_DevID eID, MVOP_VC1RangeMapInfo* stVC1RangeMapInfo) __mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_Set420BWSaveMode(MVOP_DevID eDevID, MS_BOOL bEnable)__mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_SetEVDYUVBaseAdd(MVOP_DevID eDevID, MVOP_EVDBaseAddInput* stEVDBaseAddInfo, MS_BOOL bMFEnable)__mvop_weak;
__mvop_if void HAL_MVOP_SetEVDFeature(MVOP_DevID eID, MVOP_EVDFeature* stEVDInput)__mvop_weak;
__mvop_if void HAL_MVOP_SetRptPreVsyncFrame(MVOP_DevID eID, MS_BOOL bEnable)__mvop_weak;
__mvop_if MVOP_HSMode HAL_MVOP_GetHandShakeMode(MVOP_DevID eID)__mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_CheckSTCCW(MVOP_DevID eDevID)__mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_GetIsMiuIPControl(HALMVOPMIUCLIENTINFO stInfo)__mvop_weak;
__mvop_if void HAL_MVOP_SelMIU(MVOP_DevID eDevID, HALMVOPMIUSEL eMiuMSB0, HALMVOPMIUSEL eMiuMSB1, HALMVOPMIUSEL eMiuLSB0, HALMVOPMIUSEL eMiuLSB1)__mvop_weak;
__mvop_if EN_MVOP_MIU_SEL HAL_MVOP_GetIsOnlyMiuIPControl(void)__mvop_weak;
__mvop_if void HAL_MVOP_SetDCSRAMClk(MVOP_DevID eDevID, MS_U8 clkNum, MS_BOOL bEnable)__mvop_weak;
__mvop_if void HAL_MVOP_Set2PMode(MVOP_DevID eDevID, MS_BOOL bEnable)__mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_IsSupport2PMode(MVOP_DevID eDevID)__mvop_weak;
__mvop_if void HAL_MVOP_GetMaxFramerate(MVOP_DevID eDevID, MVOP_GetMaxFps* stStreamInfo)__mvop_weak;
__mvop_if void HAL_MVOP_SetHandShakeMode(MVOP_DevID eDevID, MS_BOOL bEnable, MS_U8 u8Framerate)__mvop_weak;
__mvop_if void HAL_MVOP_SetCropforXC(MVOP_DevID eID, MVOP_XCGetCrop* stXCCrop, MS_U16 u16Width, MS_U16 u16Height)__mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_SupportFRCOutputFPS(MVOP_DevID eID)__mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_GetIsCurrentHSK(MVOP_DevID eID)__mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_AutoTimingHDS(MVOP_DevID eID)__mvop_weak;
#ifdef UFO_MVOP_GET_IS_SW_CROP
__mvop_if_0 void HAL_MVOP_GetCropAddbySW(MVOP_DevID eID, MVOP_XCGetCropMirAdd* stCropAdd)__mvop_weak_0;
__mvop_if_0 MS_BOOL HAL_MVOP_GetIsSWCrop(void)__mvop_weak_0;
#endif
__mvop_if void HAL_MVOP_ResetMVOPSetting(MVOP_DevID eDevID)__mvop_weak;
__mvop_if void HAL_MVOP_SetInterlaceType(MVOP_DevID eDevID, MS_U8 u8Interlace)__mvop_weak;
#ifdef UFO_MVOP_DOLBY_HDR
__mvop_if void HAL_MVOP_Enable2DCTimingSync(MS_BOOL bEnable)__mvop_weak;
__mvop_if void HAL_MVOP_EnableHDRSetting(MVOP_DevID eDevID, MS_BOOL bEnable)__mvop_weak;
#endif
__mvop_if void HAL_MVOP_SetSramPower(MVOP_DevID eID, MS_BOOL bEnable)__mvop_weak;
__mvop_if void HAL_MVOP_SetFBDecClk(MVOP_DevID eID, MS_BOOL bEnable)__mvop_weak;
#if defined(STB_DC_MODE)||(STB_DC)
__mvop_if MVOP_FREQUENCY HAL_MVOP_SetDefaultClk(MVOP_DevID eDevID)__mvop_weak;
__mvop_if void HAL_MVOP_SetEnableFixClk(MS_BOOL bEnable)__mvop_weak;
__mvop_if void HAL_MVOP_MaskDBRegCtrl(MVOP_DevID eID, MS_BOOL bEnable, MVOPMSAKDBREGCTRL eModeCtrl)__mvop_weak;
#endif
__mvop_if MS_BOOL HAL_MVOP_GetIsCurrentXCGenTiming(MVOP_DevID eID)__mvop_weak;
__mvop_if void HAL_MVOP_SetTimingFromXC(MVOP_DevID eID, MS_BOOL bEnable)__mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_GetIsMVOPSupportBLKBackground(MVOP_DevID eID)__mvop_weak;
__mvop_if void HAL_MVOP_Exit(MVOP_DevID eID)__mvop_weak;
__mvop_if void HAL_MVOP_UVSwapEnable(MVOP_DevID eID, MS_BOOL bEnable)__mvop_weak;
__mvop_if void HAL_MVOP_SetECONumber(MS_U16 u16ChipRev, MS_U16 u16ChipVer)__mvop_weak;
__mvop_if void HAL_MVOP_SetMiuSaveArea(MVOP_DevID eID, MVOP_MIUReadPrct stMiuSave)__mvop_weak;
__mvop_if void HAL_MVOP_SetbyInputTiming(MVOP_DevID eID, MVOP_VidStat* pstVideoStatus)__mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_SetMFDECRotate(MVOP_DevID eID, MVOP_MFDECRotate eRotate)__mvop_weak;
__mvop_if void HAL_MVOP_EnableFODtoWB(MVOP_DevID eID, MS_BOOL bEnable)__mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_GetIsBotField(MVOP_DevID eID)__mvop_weak;
__mvop_if void HAL_MVOP_SetForcePMode(MVOP_DevID eID, MS_BOOL bEnable)__mvop_weak;
__mvop_if void HAL_MVOP_SetAVS2HardwireMode(MVOP_DevID eDevID)__mvop_weak;
__mvop_if void HAL_MVOP_SetH264HardwireMode_DV(MVOP_DevID eDevID)__mvop_weak;
__mvop_if void HAL_MVOP_SetSingleDV(MVOP_DevID eID, MS_BOOL bEnable)__mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_GetHVTTforDynamicFPS(MVOP_DevID eID, MVOP_Timing* pMVOPTiming, MVOP_DYNAMIC_FPS* pTiming)__mvop_weak;
__mvop_if void HAL_MVOP_EnableDMSMode(MVOP_DevID eID, MS_BOOL bEnable)__mvop_weak;
__mvop_if MS_U32 HAL_MVOP_GetVideoDelay(MVOP_DevID eID, MS_U32 u32FPS)__mvop_weak;
__mvop_if MS_U16 HAL_MVOP_GetHStart(MVOP_Timing* pTiming)__mvop_weak;
__mvop_if MS_U16 HAL_MVOP_GetVStart(MVOP_Timing* pTiming)__mvop_weak;
__mvop_if void HAL_MVOP_SetFrameSync(MVOP_DevID eDevID, MS_BOOL bEnable)__mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_IsForce1PTiming(MVOP_DevID eDevID)__mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_SetDMSInterrupt(MVOP_DevID eID, MVOP_IntType eIntType)__mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_GetDMSInterrupt(MVOP_DevID eID, MVOP_DMSIntStatus* eDMSIntStatus)__mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_SetTimeStamp(MVOP_DevID eDevID, MS_U64 u64TimeStamp, MS_BOOL bForceTimeStamp)__mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_GetIsFireOnTime(MVOP_DevID eID, MVOP_DMSFireOnTime* pFireTime, MS_U32 u32FPS)__mvop_weak;
__mvop_if MVOP_RgbFormat HAL_MVOP_GetRGBFormat(MVOP_DevID eID)__mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_SetHSDIndex(MVOP_DevID eDevID, MS_BOOL bEnable, MS_U16 u16SourceWdh, MS_U16 u16OutputWdh)__mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_GetHSDCap(MVOP_DevID eDevID)__mvop_weak;
__mvop_if MS_BOOL HAL_MVOP_Get4k2k2PMode(MVOP_DevID eID)__mvop_weak;
__mvop_if void HAL_MVOP_GetDataSize(MVOP_DevID eID, MVOP_SetImageWH* stDataSize)__mvop_weak;
__mvop_if void HAL_MVOP_CheckFieldInverse(MVOP_DevID eDevID)__mvop_weak;
//======================================================
// SUB MVOP
__mvop_if void HAL_MVOP_SubRegSetBase(MS_VIRT u32Base)__mvop_weak;
__mvop_if_0 MS_BOOL HAL_MVOP_SubSet3DLRInsVBlank(MS_U16 u16InsLines) __mvop_weak_0;
__mvop_if void HAL_MVOP_SubEnableMVDInterface(MS_BOOL bEnable)__mvop_weak;
//__mvop_if MS_BOOL HAL_MVOP_SubSetVC1RangeMap(MVOP_VC1RangeMapInfo *stVC1RangeMapInfo) __mvop_weak;

//======================================================
// EX MVOP:: Extended HAL functions for MVOP modules
#if MVOP_SUPPORT_3RD
__mvop_if_v void HAL_MVOP_EX_RegSetBase(MS_VIRT u32Base)__mvop_weak_v;
__mvop_if_v void HAL_MVOP_EX_InitMirrorMode(MVOP_DevID eID, MS_BOOL bMir)__mvop_weak_v;
__mvop_if_0 MS_BOOL HAL_MVOP_EX_Init(MVOP_DevID eID)__mvop_weak_0;
__mvop_if_v void HAL_MVOP_EX_SetVerticalMirrorMode(MVOP_DevID eID, MS_BOOL bEnable)__mvop_weak_v;
__mvop_if_v void HAL_MVOP_EX_SetHorizontallMirrorMode(MVOP_DevID eID, MS_BOOL bEnable)__mvop_weak_v;
__mvop_if_v void HAL_MVOP_EX_SetFieldInverse(MVOP_DevID eID, MS_BOOL b2MVD, MS_BOOL b2IP)__mvop_weak_v;
__mvop_if_v void HAL_MVOP_EX_SetChromaWeighting(MVOP_DevID eID, MS_BOOL bEnable)__mvop_weak_v;
__mvop_if_v void HAL_MVOP_EX_LoadReg(MVOP_DevID eID)__mvop_weak_v;
__mvop_if_v void HAL_MVOP_EX_SetMIUReqMask(MVOP_DevID eID, MS_BOOL bEnable)__mvop_weak_v;
__mvop_if_v void HAL_MVOP_EX_Rst(MVOP_DevID eID)__mvop_weak_v;
__mvop_if_v void HAL_MVOP_EX_Enable(MVOP_DevID eID, MS_BOOL bEnable)__mvop_weak_v;
__mvop_if_0 MS_BOOL HAL_MVOP_EX_GetEnableState(MVOP_DevID eID)__mvop_weak_0;
__mvop_if_0 MVOP_FREQUENCY HAL_MVOP_EX_GetMaxFreerunClk(MVOP_DevID eID)__mvop_weak_0;
__mvop_if_0 MVOP_FREQUENCY HAL_MVOP_EX_GetClk(MS_U32 u32PixClk)__mvop_weak_0;
__mvop_if_v void HAL_MVOP_EX_SetFrequency(MVOP_DevID eID, MVOP_FREQUENCY enFrequency)__mvop_weak_v;
__mvop_if_v void HAL_MVOP_EX_SetOutputInterlace(MVOP_DevID eID, MS_BOOL bEnable)__mvop_weak_v;
__mvop_if_v void HAL_MVOP_EX_SetPattern(MVOP_DevID eID, MVOP_Pattern enMVOPPattern)__mvop_weak_v;
__mvop_if_0 MS_BOOL HAL_MVOP_EX_SetTileFormat(MVOP_DevID eID, MVOP_TileFormat eTileFmt)__mvop_weak_0;
__mvop_if_0 MS_BOOL HAL_MVOP_EX_SetRgbFormat(MVOP_DevID eID, MVOP_RgbFormat eRgbFmt)__mvop_weak_0;
__mvop_if_v void HAL_MVOP_EX_SetBlackBG(MVOP_DevID eID)__mvop_weak_v;
__mvop_if_v void HAL_MVOP_EX_SetCropWindow(MVOP_DevID eID, MVOP_InputCfg* pparam)__mvop_weak_v;
__mvop_if_v void HAL_MVOP_EX_SetInputMode(MVOP_DevID eID, VOPINPUTMODE mode, MVOP_InputCfg* pparam)__mvop_weak_v;
__mvop_if_v void HAL_MVOP_EX_EnableUVShift(MVOP_DevID eID, MS_BOOL bEnable)__mvop_weak_v;
__mvop_if_v void HAL_MVOP_EX_SetOutputTiming(MVOP_DevID eID, MVOP_Timing* ptiming)__mvop_weak_v;
__mvop_if_v void HAL_MVOP_EX_SetDCClk(MVOP_DevID eID, MS_U8 clkNum, MS_BOOL bEnable)__mvop_weak_v;
__mvop_if_v void HAL_MVOP_EX_SetSynClk(MVOP_DevID eID, MVOP_Timing* ptiming, MVOP_FREQUENCY eFreq)__mvop_weak_v;
__mvop_if_v void HAL_MVOP_EX_SetMonoMode(MVOP_DevID eID, MS_BOOL bEnable)__mvop_weak_v;
__mvop_if_v void HAL_MVOP_EX_SetH264HardwireMode(MVOP_DevID eID)__mvop_weak_v;
__mvop_if_v void HAL_MVOP_EX_EnableMVDInterface(MVOP_DevID eID, MS_BOOL bEnable)__mvop_weak_v;
__mvop_if_v void HAL_MVOP_EX_SetRMHardwireMode(MVOP_DevID eID)__mvop_weak_v;
__mvop_if_v void HAL_MVOP_EX_SetJpegHardwireMode(MVOP_DevID eID)__mvop_weak_v;
__mvop_if_0 MS_BOOL HAL_MVOP_EX_Enable3DLR(MVOP_DevID eID, MS_BOOL bEnable)__mvop_weak_0;
__mvop_if_0 MS_BOOL HAL_MVOP_EX_Get3DLRMode(MVOP_DevID eID)__mvop_weak_0;
__mvop_if_0 MS_BOOL HAL_MVOP_EX_Set3DLRInsVBlank(MS_U16 u16InsLines) __mvop_weak_0;
__mvop_if_0 MS_BOOL HAL_MVOP_EX_GetTimingInfoFromRegisters(MVOP_DevID eID, MVOP_TimingInfo_FromRegisters* pMvopTimingInfo)__mvop_weak_0;
#endif

#if (defined(STB_DC_MODE)||(STB_DC))&&(MVOP_SUPPORT_SUB)
__mvop_if void HAL_MVOP_MaskDBRegCtrl(MVOP_DevID eID, MS_BOOL bEnable, MVOPMSAKDBREGCTRL eModeCtrl)__mvop_weak;
#endif
__mvop_if MS_BOOL HAL_MVOP_IntEnableMask(MVOP_DevID eID, MS_U8 eIntType) __mvop_weak;
__mvop_if MS_U8 HAL_MVOP_IntGetStatus(MVOP_DevID eID) __mvop_weak;

#endif // _DRV_MVOP_WEAK_H_
